import { AppDataSource } from '../../../config/typeorm.js';
import {
  AuditLog,
  EntityChange,
  LoginHistory,
  SensitiveDataAccess,
  DataExport,
  PermissionChange,
  ConfigChange,
} from '../entities/index.js'; // Ajustar path de entities
import { AuditService } from './audit.service.js';

export const auditService = new AuditService(
  AppDataSource.getRepository(AuditLog),
  AppDataSource.getRepository(EntityChange),
  AppDataSource.getRepository(LoginHistory),
  AppDataSource.getRepository(SensitiveDataAccess),
  AppDataSource.getRepository(DataExport),
  AppDataSource.getRepository(PermissionChange),
  AppDataSource.getRepository(ConfigChange)
);
